Clients

Create Client

POST /v1/clients

POST/v1/clients
POST
/v1/clients

Create a new client

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

Provide all required fields to create an agency client. permission accepted values: "1" = Full access, "2" = Limited access. Email must be valid and on a non-blacklisted domain.

firstNamestring

Client's first name.

Example: "Maya"

lastNamestring

Client's last name.

Example: "Client"

emailstring

Client's email address. Must be a valid email on a non-blacklisted domain.

Example: "[email protected]"

companyNamestring

Client's company name.

Example: "Acme Growth"

permissionstring

Access level for the client. Accepted values: "1" = Full access, "2" = Limited access.

Example: "1"Value in: "1" | "2"

Request Body Examples

{
  "firstName": "Maya",
  "lastName": "Client",
  "email": "[email protected]",
  "companyName": "Acme Growth",
  "permission": "1"
}

Responses

201
Client created successfully
{
  "message": "Client created successfully",
  "payload": null
}

Request

Example:
curl -X POST \
  "https://open-api.saleshandy.com/v1/clients" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "firstName": "Maya",
  "lastName": "Client",
  "email": "[email protected]",
  "companyName": "Acme Growth",
  "permission": "1"
}'

Response

No response body